# Sway Wallpaper

Display wallpapers on Sway, this is essentially a wrapper for `swaybg` and `swaylock`, they are
required to run this utility.

## Features

- Specify a directory containing all your wallpapers
- Specify for which display
- Set interval to automatically change wallpaper after some time
- Wallpapers can be chosen randomly
- Wallpapers can be chosen in alphabetical order
- No "grey" flash when switching wallpapers

## Usage

```
usage: sway-wallpaper [options] <path>

required:
  path                The path to the directory containing the wallpapers

options:
  -h, --help          Show help
  -i, --interval      Specify the interval between wallpapers in seconds
  --lock              Lock the screen using swaylock instead of applying a wallpaper
  --never-random      if set, wallpapers order is based on the names of the files
  -o, --output        The outputs as shown with the command `swaymsg -t get_outputs`, by default the wallpaper will be applied to all outputs
```

Example:

`./sway-wallpaper /path/to/wallpapers -i 3600 -o DP-1`

## Installation

First, clone this repository `git clone https://codeberg.org/vyn/sway-wallpaper.git` (or download it the way you prefer).  

You only need **gcc** and **cmake**, run these commands in the project directory:

```
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release ..
make
```

The executable should be located in `build/sway-wallpaper`
